Package org.eclipse.emf.spi.cdo

# Interface InternalCDOUserSavepoint

All Superinterfaces:
  `CDORollbackable`, `CDOUserSavepoint`

All Known Subinterfaces:
  `InternalCDOSavepoint`, `InternalCDOXASavepoint`

public interface InternalCDOUserSavepoint extends CDOUserSavepoint
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`InternalCDOUserSavepoint`
`getFirstSavePoint()`
`InternalCDOUserSavepoint`
`getNextSavepoint()`
Returns the next savepoint in the transaction's savepoint sequence.
`InternalCDOUserSavepoint`
`getPreviousSavepoint()`
Returns the previous savepoint in the transaction's savepoint sequence.
`InternalCDOUserTransaction`
`getTransaction()`
Returns the transaction that owns this savepoint.
`void`
`setNextSavepoint(InternalCDOUserSavepoint nextSavepoint)`
`void`
`setPreviousSavepoint(InternalCDOUserSavepoint previousSavepoint)`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isLast, isValid, rollback`

## Method Details

### getTransaction

InternalCDOUserTransaction getTransaction()
Description copied from interface: `CDOUserSavepoint`
Returns the transaction that owns this savepoint.

Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Returns:
  the owning transaction.

### getFirstSavePoint

InternalCDOUserSavepoint getFirstSavePoint()

### getPreviousSavepoint

InternalCDOUserSavepoint getPreviousSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the previous savepoint in the transaction's savepoint sequence.

Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`
Returns:
  the previous savepoint, or `null`.

### getNextSavepoint

InternalCDOUserSavepoint getNextSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the next savepoint in the transaction's savepoint sequence.

Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`
Returns:
  the next savepoint, or `null`.

### setPreviousSavepoint

void setPreviousSavepoint(InternalCDOUserSavepoint previousSavepoint)

### setNextSavepoint

void setNextSavepoint(InternalCDOUserSavepoint nextSavepoint)